%define major 2
%define libname %mklibname p11_ %major
%define develname %mklibname p11 -d

Summary:	Small library on top of PKCS#11
Name:		libp11
Version:	0.2.8
Release:	%mkrel 2
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.opensc-project.org/libp11/
Source:		http://www.opensc-project.org/files/libp11/%{name}-%{version}.tar.gz

Buildrequires:	doxygen
Buildrequires:	libopenssl-devel
Buildrequires:	libltdl-devel

%description
Libp11 is a library implementing a small layer on top of PKCS#11 API to make
using PKCS#11 implementations easier.


%package -n %libname
Summary: Library files for libp11
Group: System/Libraries
Obsoletes: libp11_%{major} < %version

%description -n %libname
This package contains library files for libp11.


%package -n %develname
Summary: Development files for libp11
Group: Development/C
Requires: %{libname} = %{version}
Provides: %{name}-devel = %{version}-%release

%description -n %develname
This package contains files needed for development with libp11.


%prep
%setup -q -n %{name}-%{version}


%build
%configure2_5x --disable-static --enable-api-doc
%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# Use %{buildroot}%{_docdir}/%develname to install documentation in a standard location
mkdir %{buildroot}%{_docdir}/%develname
mv %{buildroot}%{_datadir}/doc/%{name}/api %{buildroot}%{_docdir}/%{develname}/
rm -rf %{buildroot}%{_datadir}/doc/%{name}/

# Remove libtool .la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la


%files -n %libname
%doc NEWS
%{_libdir}/*.so.%{major}*

%files -n %develname
%doc examples 
%{_libdir}/*.so
%{_libdir}/pkgconfig/libp11.pc
%{_includedir}/*




%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.2.8-2.mga3
+ Revision: 357942
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 23 2011 sander85 <sander85> 0.2.8-1.mga2
+ Revision: 128034
- new version: 0.2.8

* Sat Apr 30 2011 sander85 <sander85> 0.2.7-3.mga1
+ Revision: 93647
- bump release

* Sat Apr 23 2011 sander85 <sander85> 0.2.7-1.mga1
+ Revision: 89906
- clean spec
- imported package libp11

